<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:ns35="www.XmlTest.org/complex_simpleContent"
            targetNamespace="www.XmlTest.org/complex_simpleContent">
  <annotation>
    <documentation xml:lang="en">
      This documentum tests based on
      XML Schema Part 1: Structures Second Edition,
    </documentation>
  </annotation>

<complexType name="ComplexTypeWithSimpleContent1">
  <simpleContent>
    <extension base="string">
       <attribute name="IdCard" type="string"/>
       <attribute name="PassportId" type="string" />
    </extension>
  </simpleContent>
</complexType>

<complexType name="ComplexTypeWithSimpleContent2">
  <simpleContent>
    <restriction base="ns35:ComplexTypeWithSimpleContent1">
       <length value="4"/>
    </restriction>
  </simpleContent>
</complexType>

</schema>
